--- a/router/cmake/set_rpath.cmake	2019-07-22 13:21:00.000000000 -0400
+++ b/router/cmake/set_rpath.cmake  2019-07-22 13:20:56.000000000 -0400
@@ -22,7 +22,7 @@
 
 # This follows pattern from cmake/install_layout.cmake
 #
-# Supported layouts here are STANDALONE, WIN, RPM, DEB, SVR4 or
+# Supported layouts here are STANDALONE, WIN, RPM, DEB, SVR4, MACPORTS or
 # FREEBSD.
 # Layouts GLIBC, OSX, TARGZ and SLES seems unused and are similar to
 # STANDALONE or RPM any way.
@@ -112,7 +112,13 @@
 SET(ROUTER_INSTALL_DATADIR_DEB    "/var/run/mysqlrouter")
 SET(ROUTER_INSTALL_LOGDIR_DEB     "/var/log/mysqlrouter")
 SET(ROUTER_INSTALL_RUNTIMEDIR_DEB "/var/run/mysqlrouter")
-
+#
+# MACPORTS layout
+#
+SET(ROUTER_INSTALL_CONFIGDIR "${CMAKE_INSTALL_PREFIX}/etc/@NAME@-router")
+SET(ROUTER_INSTALL_DATADIR "${CMAKE_INSTALL_PREFIX}/var/db/@NAME@-router")
+SET(ROUTER_INSTALL_LOGDIR "${CMAKE_INSTALL_PREFIX}/var/log/@NAME@-router")
+SET(ROUTER_INSTALL_RUNTIMEDIR "${CMAKE_INSTALL_PREFIX}/var/run/@NAME@-router")
 # Mimic cmake/install_layout.cmake:
 # Set ROUTER_INSTALL_FOODIR variables for chosen layout for example,
 # ROUTER_INSTALL_CONFIGDIR will be defined as
@@ -179,11 +185,11 @@
 SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
 SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
 
-#MESSAGE(STATUS "Router install directories:")
-#MESSAGE(STATUS "- bindir: ${ROUTER_INSTALL_BINDIR}")
-#MESSAGE(STATUS "- configdir: ${ROUTER_INSTALL_CONFIGDIR}")
-#MESSAGE(STATUS "- docdir: ${ROUTER_INSTALL_DOCDIR}")
-#MESSAGE(STATUS "- libdir: ${ROUTER_INSTALL_LIBDIR}")
-#MESSAGE(STATUS "- plugindir: ${ROUTER_INSTALL_PLUGINDIR}")
-#MESSAGE(STATUS "- datadir: ${ROUTER_INSTALL_DATADIR}")
-#MESSAGE(STATUS "- rpath: ${CMAKE_INSTALL_RPATH}")
+MESSAGE(STATUS "Router install directories:")
+MESSAGE(STATUS "- bindir: ${ROUTER_INSTALL_BINDIR}")
+MESSAGE(STATUS "- configdir: ${ROUTER_INSTALL_CONFIGDIR}")
+MESSAGE(STATUS "- docdir: ${ROUTER_INSTALL_DOCDIR}")
+MESSAGE(STATUS "- libdir: ${ROUTER_INSTALL_LIBDIR}")
+MESSAGE(STATUS "- plugindir: ${ROUTER_INSTALL_PLUGINDIR}")
+MESSAGE(STATUS "- datadir: ${ROUTER_INSTALL_DATADIR}")
+MESSAGE(STATUS "- rpath: ${CMAKE_INSTALL_RPATH}")
